Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PartnerLinkType.Role11

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
              org.apache.ode.bpel.compiler.bom.PartnerLinkType.Role
                  org.apache.ode.bpel.compiler.bom.PartnerLinkType.Role11

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement, SourceLocation

Enclosing class:
  PartnerLinkType

    public static class PartnerLinkType.Role11

extends PartnerLinkType.Role

BPEL 1.1 nonsense.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PartnerLinkType.Role11.PortType11`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PartnerLinkType.Role11(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getPortType()` Get the WSDL portType of the role (i.e.

Methods inherited from class org.apache.ode.bpel.compiler.bom.PartnerLinkType.Role
`getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartnerLinkType.Role11

    public PartnerLinkType.Role11(org.w3c.dom.Element el)

Method Detail

### getPortType

    public javax.xml.namespace.QName getPortType()

  Get the WSDL portType of the role (i.e. the interface implemented by the object acting in the role).

  Overrides:
    `getPortType` in class `PartnerLinkType.Role`
  Returns:
    role portType

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD